Debian Bug report logs - #684015
jsymphonic: Transition package to use default java implementation

version graph

Package: jsymphonic; Maintainer for jsymphonic is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for jsymphonic is src:jsymphonic.

Reported by: James Page <james.page@ubuntu.com>

Date: Mon, 6 Aug 2012 10:06:12 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version jsymphonic/0.3.0.Ode.To.Freedom+svn387-7

Fixed in version jsymphonic/0.3.0.Ode.To.Freedom+svn387-8

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, james.page@ubuntu.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#684015; Package jsymphonic. (Mon, 06 Aug 2012 10:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@ubuntu.com>:
New Bug report received and forwarded. Copy sent to james.page@ubuntu.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 06 Aug 2012 10:06:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Page <james.page@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jsymphonic: Transition package to use default java implementation
Date: Mon, 06 Aug 2012 11:05:28 +0100
[Message part 1 (text/plain, inline)]
Package: jsymphonic
Version: 0.3.0.Ode.To.Freedom+svn387-7
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch openjdk-7-transition

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Maintainer,

In Ubuntu, the attached patch was applied to achieve the following:

  * Transition package to use default java implementation:
    - d/control: Switch dependencies from openjdk-6-* to default-*.
    - d/rules: Set JAVA_HOME to /usr/lib/jvm/default-java.
    - d/build.xml: Set source/target = 1.5 to ensure backwards compatible
      bytecode is built.

Ubuntu is transitioning from openjdk-6 to openjdk-7 as default java; this patch
eases the transition and ensures that the code built by the package is backwards
compatible with java 1.5+.  Note that this transition is not a wheezy release
goal.

Thanks for considering the patch.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers quantal-updates
  APT policy: (500, 'quantal-updates'), (500, 'quantal-security'), (500, 'quantal')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.0-8-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJQH5boAAoJEL/srsug59jD6OkQAMUzaSnW/hMDQzKC4k6+IiRa
jw9fbYge+EAUf/wtI2BjlWJr55zG2J64QjBQ5iHtiiwR+hfiAoy+VfGIw+dcRhPw
zhRP6PRFXLKdJe5x3hBOZOXXd8Fk6OA5zLXA1GtMKgrLVb6mHO8DSjG+7nGKbbEH
POgBFnttz3mDKJBOWJ95C8TT/rFTCbTbFLDCaGkhP7zCnnTtDVUTs8rAywPRJw6H
4hCt2SMp+cqlEn96ur/leCTs+jLDluI1HlOPa8z128SH4B7mjUnguLMbfjYGZ2wU
Di6tvWBda82RV5+pP1fvja7bAZzTv+SaqtQ+/4NzEkR3ZQD4Rrm2z2E1tALyxVm5
CR+CzzV7j3J8WnZesP9b5f/p+6saWnEWz0dSiBIDx4YT8mOB4dUXehBeNaOJTLJ+
/fw9mW6okRlkADTojtBm9dTHuiy2eMdB2h1xpCH+Og0V2MMFuPA6tIwC2X6/wxT4
HHF4btz4S42v/WIyRhI3dtu8NbCR8uNmcR92onXAzox2WVOy4Yq8f2BNf2bp2qAO
UmUuGeWdUzKnM/fF6za8CasUSCTmKamYFBFPilOpbjGmcJVI+/2+3Dr+hG+k+NJT
04Yk90H0HrhxvOoz/gK/MD2uQWCrpZ1QhoYMdn44YEz8FRQzWw3y94Iil8MT08vT
Lx8fTHiKTPzNGvvSen3d
=Mqns
-----END PGP SIGNATURE-----
[jsymphonic_0.3.0.Ode.To.Freedom+svn387-7ubuntu1.debdiff (text/x-diff, attachment)]

Severity set to 'serious' from 'normal' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Tue, 14 May 2013 16:21:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#684015; Package jsymphonic. (Tue, 14 May 2013 16:24:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 14 May 2013 16:24:39 GMT) Full text and rfc822 format available.

Message #12 received at 684015@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 676441@bugs.debian.org, 679365@bugs.debian.org, 678131@bugs.debian.org, 678380@bugs.debian.org, 683502@bugs.debian.org, 683512@bugs.debian.org, 683519@bugs.debian.org, 683522@bugs.debian.org, 683525@bugs.debian.org, 683537@bugs.debian.org, 683543@bugs.debian.org, 683550@bugs.debian.org, 684015@bugs.debian.org, 684018@bugs.debian.org, 684022@bugs.debian.org, 684154@bugs.debian.org, 684155@bugs.debian.org, 684162@bugs.debian.org, 684163@bugs.debian.org, 684165@bugs.debian.org, 684278@bugs.debian.org, 684289@bugs.debian.org, 684296@bugs.debian.org, 684305@bugs.debian.org, 684378@bugs.debian.org, 684384@bugs.debian.org, 684979@bugs.debian.org, 684980@bugs.debian.org, 686785@bugs.debian.org, 688127@bugs.debian.org, 688138@bugs.debian.org, 688208@bugs.debian.org
Subject: Transition package to use OpenJDK7 as default java implementation
Date: Tue, 14 May 2013 18:21:50 +0200
[Message part 1 (text/plain, inline)]
Control: severity -1 serious


Dear Maintainer,

OpenJDK6 support will be dropped from Debian. Hence the severity of this
bug is release critical now. Please transition your package to use
OpenJDK7 as the default java implementation for Jessie. In most cases a
patch has already been provided for the transition. Please feel free to
ask questions about this bug report or the transition in general on the
debian-java mailing list.

For the Debian Java Team

Markus Koschany

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Tue, 14 May 2013 23:45:10 GMT) Full text and rfc822 format available.

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 10:15:20 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 28 Jun 2013 13:51:14 GMT) Full text and rfc822 format available.

Notification sent to James Page <james.page@ubuntu.com>:
Bug acknowledged by developer. (Fri, 28 Jun 2013 13:51:14 GMT) Full text and rfc822 format available.

Message #21 received at 684015-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 684015-close@bugs.debian.org
Subject: Bug#684015: fixed in jsymphonic 0.3.0.Ode.To.Freedom+svn387-8
Date: Fri, 28 Jun 2013 13:48:01 +0000
Source: jsymphonic
Source-Version: 0.3.0.Ode.To.Freedom+svn387-8

We believe that the bug you reported is fixed in the latest version of
jsymphonic, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated jsymphonic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 May 2013 00:43:47 +0200
Source: jsymphonic
Binary: jsymphonic
Architecture: source all
Version: 0.3.0.Ode.To.Freedom+svn387-8
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 jsymphonic - File manager for Sony's MP3 players
Closes: 684015
Changes: 
 jsymphonic (0.3.0.Ode.To.Freedom+svn387-8) unstable; urgency=low
 .
   * Team upload.
   * Transition package to use default java implementation.
     Thanks to James Page for the patch. (Closes: #684015)
   * Update to use the current canonical Vcs-URI.
   * Bump Standards-Version to 3.9.4, no changes needed.
Checksums-Sha1: 
 21956150fc3a0c0fefe149e09c859cbf96147500 2198 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.dsc
 22bf0debbe6bd0dd80a5bce83ddc96350adb804b 10687 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.debian.tar.gz
 c42817a5e3bb2692ab1b33735ff3691e0cbe7491 1610710 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8_all.deb
Checksums-Sha256: 
 2be1536af8fc1603be8e308996df2ca2c5e24a7198b2c7f06a2eafa1f3d3d691 2198 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.dsc
 270e4a6bcdb6ad25288338c86358d17c0b1559d59606dcb0f1354b2b5abadf90 10687 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.debian.tar.gz
 3d129b25d753bc4b89cc32cd6f1cffc3472c685371eeb059e0167a04388c12ac 1610710 jsymphonic_0.3.0.Ode.To.Freedom+svn387-8_all.deb
Files: 
 51da04fb566a456091b8d7f0fb558f84 2198 sound optional jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.dsc
 b7b51025827d56c13161f497b166df72 10687 sound optional jsymphonic_0.3.0.Ode.To.Freedom+svn387-8.debian.tar.gz
 be9020aeaabee47d4113e1eb7e70cea9 1610710 sound optional jsymphonic_0.3.0.Ode.To.Freedom+svn387-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRzZFVAAoJEAVLu599gGRCBsEQAIsUZwGYLFBNUkeC6T2KRcMf
KvNzd08v0hwlWWHSY/JPWUFEJnWfdVegWDnWSLuSh/KgteP5qX7+Jv2L5Uc6x1vA
17qWj8DLb8i26NMzasC1JN5sSrUn5Or/NVjp42lVzdNNR1Z/RsftC9AE07O2rHQU
jVFE1Uvz69Uui/Tiv6E5kKltDm9FiS4igjLy/b3oxXDRE7Puc8K5S0/th1u+P0gy
9Q+hmmPp5B+ldJNR0r70BGARXXQunioeRefco3ys0jVcTveC3pZxqoDSZYZPvKzP
pnjZeVWuseCuBRhfTZZV0dQAjMj5DsATNojLY49zzYPm5hBqECX10J2tAQ3v3Ows
TH6GaQeTeaHgtxqRx5ikuxRaJNT8bW9ulNH42GPggaVcaC6tHkMigHD/94oyp7A0
XlgyHFswN2yzhjqixr+QGwrql9ZeD6b+THrXxo+sMhWhFfa/YSeLQkFj2hmlV6XH
w07MkeXb5e61oFCcmnBeiMDQRAFuFkloD2dvQF8wVVRCokWNdoz9w1jk52V9onUi
CVm26B/9dvlnvD3s00EV4/tKFjpCiC8w0IaZhfviSFSY77q5VZVohpkd24ou7mNo
j05CeUJ6CC9BYhUBiPW0mD9/INQ226nMLfk8hUbM5gIO1lXZuoDwm8EFtaHdcrkC
s3z/hQ4xEwxc/KJ8mRRW
=JcOn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Aug 2013 07:27:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:13:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.